<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Add Reservation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Reservation</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/reservation/add}" th:object="${reservationDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="dateOfBooking" class="col-form-label">Date Of Booking</label>
                        <input type="date" th:field="*{dateOfBooking}" class="form-control" id="dateOfBooking"
                               placeholder="dd-MM-yyyy">
                        <span th:if="${#fields.hasErrors('dateOfBooking')}" th:errors="*{dateOfBooking}"
                              class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="dateFrom" class="col-form-label">Date From</label>
                        <input type="date" th:field="*{dateFrom}" class="form-control" id="dateFrom"
                               placeholder="dd-MM-yyyy">
                        <span th:if="${#fields.hasErrors('dateFrom')}" th:errors="*{dateFrom}"
                              class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="dateTo" class="col-form-label">Date To</label>
                        <input type="date" th:field="*{dateTo}" class="form-control" id="dateTo"
                               placeholder="dd-MM-yyyy">
                        <span th:if="${#fields.hasErrors('dateTo')}" th:errors="*{dateTo}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="branch" class="col-form-label">Branch</label>
                        <select class="form-control" th:field="*{branchId}" id="branch">
                            <option th:each="dept : ${availableBranches}"
                                    th:value="${dept.id}"
                                    th:text="${dept.branchName}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="client" class="col-form-label">User</label>
                        <select class="form-control" th:field="*{customerId}" id="client">
                            <option th:each="custom : ${availableCustomers}"
                                    th:value="${custom.id}"
                                    th:text="${custom.name}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="car" class="col-form-label">Car</label>
                        <select class="form-control" th:field="*{carId}" id="car" th:if="${selectedCar}==null">
                            <option th:each="car : ${availableCars}"
                                    th:value="${car.id}"
                                    th:text="${car.brand}">
                            </option>
                        </select>
                        <select class="form-control" th:field="*{carId}" id="car" th:if="${selectedCar}!=null">
                            <option value="" th:selected="selected" th:text="${selectedCar.brand}"
                                    th:value="${selectedCar.id}">
                            </option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="returnBranch" class="col-form-label">Return Branch</label>
                        <select class="form-control" th:field="*{returnDepartmentId}" id="returnBranch">
                            <option th:each="dept : ${availableDepartments}"
                                    th:value="${dept.id}"
                                    th:text="${dept.branchName}">
                            </option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Add Reservation">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <p><a th:href="@{/}" class="btn btn-primary btn-sm">Go Back Home</a></p>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
